/* FILE: filevectorfieldinit.h      -*-Mode: c++-*-
 *
 * File vector field initializer, derived from Oxs_VectorFieldInit class.
 *
 */

#ifndef _OXS_FILEVECTORFIELDINIT
#define _OXS_FILEVECTORFIELDINIT

#include "oc.h"

#include "vectorfieldinit.h"

/* End includes */

class Oxs_FileVectorFieldInit:public Oxs_VectorFieldInit {
private:
  Vf_Mesh* file_mesh;
  BOOL set_norm;
  REAL8m norm;
public:
  virtual const char* ClassName() const; // ClassName() is
  /// automatically generated by the OXS_EXT_REGISTER macro.
  virtual BOOL Init();
  Oxs_FileVectorFieldInit
  (const char* name,     // Child instance id
   Oxs_Director* newdtr, // App director
   Tcl_Interp* safe_interp, // Safe interpreter
   const char* argstr);  // MIF input block parameters

  virtual ~Oxs_FileVectorFieldInit();

  virtual void FillMeshValue(const Oxs_Mesh* mesh,
			     Oxs_MeshValue<ThreeVector>& array) const;
};


#endif // _OXS_FILEVECTORFIELDINIT
