/* FILE: rectangularregion.cc      -*-Mode: c++-*-
 *
 * Concrete region class, derived from Oxs_Region class.
 *
 */

#include "rectangularregion.h"

// Oxs_Ext registration support
OXS_EXT_REGISTER(Oxs_RectangularRegion);

/* End includes */


// Constructor
Oxs_RectangularRegion::Oxs_RectangularRegion(
  const char* name,     // Child instance id
  Oxs_Director* newdtr, // App director
  Tcl_Interp* safe_interp, // Safe interpreter
  const char* argstr)   // MIF input block parameters
  : Oxs_Region(name,newdtr,safe_interp,argstr)
{
  // Process arguments
  CheckInitValueParamCount("xrange",2);
  const vector<string>& xrange = *FindInitValue("xrange");

  CheckInitValueParamCount("yrange",2);
  const vector<string>& yrange = *FindInitValue("yrange");

  CheckInitValueParamCount("zrange",2);
  const vector<string>& zrange = *FindInitValue("zrange");

  box.Set(xrange[0],xrange[1],
	  yrange[0],yrange[1],
	  zrange[0],zrange[1]);

  DeleteInitValue("xrange");
  DeleteInitValue("yrange");
  DeleteInitValue("zrange");
  VerifyAllInitArgsUsed();
}


BOOL Oxs_RectangularRegion::Init()
{ return 1; }

void Oxs_RectangularRegion::GetExtents(Oxs_Box &mybox) const
{
  mybox=box;
}

Oxs_RectangularRegion::~Oxs_RectangularRegion()
{}


